import { UrlObject } from 'url';
import type { TRouteBranch } from '../types';
/**
 * Get path pattern (path-to-regexp synthax) from file path parts
 *
 * Ex: `/[dynamic]/path` => `/:dynamic/path`
 */
export declare const getPathPattern: ({ routeBranch, pathParts, locale, }: {
    routeBranch: TRouteBranch;
    /** Remaining path parts after the `routeBranch` path parts */
    pathParts: string[];
    locale: string;
}) => string;
/**
 * Translate UrlObject into translated string url
 *
 * @param urlObject UrlObject with a defined pathname
 * @param locale string
 */
export declare const translateUrlObject: (urlObject: UrlObject, locale: string) => string | undefined;
